Subject: Re: [PATCH net-next 1/2] net: l3mdev: Add master device lookup by index

From: David Ahern <[email-masked]>
Date: Mon, 23 Nov 2015 11:28:20 -0700

On 11/22/15 9:35 PM, David Miller wrote:
> From: David Ahern <[email-masked]>
> Date: Sun, 22 Nov 2015 21:02:04 -0700
>
>> I am confused by that response given that sk_bound_dev_if is one of
>> the key principals for the VRF implementation. Applications wanting to
>> communicate over interfaces in a VRF have to set sk_bound_dev_if.
>
> Yes, they have to set it explicitly.
>
> You are setting it for them in response to the connection
> creation, and that's what I object to.
>

The intent is to not require having N-listen sockets/threads/tasks to 
support N-vrfs for scalability reasons. Having a special DEVICE_ANY 
index adds complexity to socket lookups, so I dropped that idea long 
ago. Would guarding this behavior by a sysctl be acceptable?